package depart.commun.monde2d;

import ca.ntro.app.fx.controls.World2dMouseEventFx;
import ca.ntro.app.world2d.World2dFx;

public class MondeDepart2d extends World2dFx {
	
	public MondeDepart2d() {
		super();

		addObject2d("balle",   10, new Balle2d());
		
		for(int i = 0; i < 12; i++) {
			
			if(i % 2 == 0) {

				addObject2d("palette" + i,   5, new Palette2d(i));

			}else {

				addObject2d("palette" + i,   15, new Palette2d(i));
			}
		}

		addObject2d("terrain", 1, new Terrain2dDepart());
	}

	@Override
	protected void onMouseEventNotConsumed(World2dMouseEventFx mouseEvent) {
		
	}

}
